#include <math.h>
#include "vector.h"
#include "matrix.h"
#include "color.h"
#include "plight.h"
#include "ellipse.h"

/*----------------------------------------------------------------------*/
/* 陰影計算を行う							*/
/* src:対象となる楕円 	Q:光源						*/
/* P:交点 		N:交点における法線 	E:視線位置		*/
/* ia:環境光強度 	id:拡散光強度		is:鏡面反射光強度	*/
/*----------------------------------------------------------------------*/
void calcShading(const Ellipse src, const PointLight Q,
		 const Vector P, const Vector N, const Vector E,
		 double *ia, double *id, double *is){

	Vector R;			/* 反射光ベクトル(R) */
	Vector L;			/* 光源ベクトル(L) */
	Vector V;			/* 視線ベクトル(V) */
	double r;		/* 交点、光源位置との距離 */
	double dot_N_L;		/* ２つのベクトルNとLとの内積を求める作業変数 */
  	double dot_V_R;		/* ２つのベクトルRとVとの内積を求める作業変数 */
	
	/* 環境光の強度 */

	/* 交点と光源との距離を求める */

	/* 陰か影の中かの処理 */
	if (dot_N_L<0){      /* 陰=光源からの光が照射していない */
		*id= *is = 0;
	}else{
		/* 陰影処理 */
		/* 拡散反射光の強度 */

		/* 鏡面反射光の強度 */

	}/* dot_N_L */

}
