//Matrix testprogram
#include <stdio.h>
#include "matrix.h"
#include "vector.h"

int main()
{
	Vector v1 = {5, 10, 15};
	Vector v2;
	
	Matrix scale = ScaleMatrix(1, 2, 3);
	
	v2 = MatrixVector(scale, v1);
	
	printf("v2 = ScaleMatrix(%f, %f, %f) * v1 \n", scale.m11, scale.m22, scale.m33);
	printf("v1.x = %f v1.y = %f v1.z = %f \n", v1.x, v1.y, v1.z);
	printf("v2.x = %f v2.y = %f v2.z = %f \n\n", v2.x, v2.y, v2.z);
	
	scale = ScaleMatrix(3, 2, 1);
	v2 = tVectorMatrix(v1, scale);
	
	printf("v2 = v1 * ScaleMatrix(%f, %f, %f) \n", scale.m11, scale.m22, scale.m33);
	printf("v1.x = %f v1.y = %f v1.z = %f \n", v1.x, v1.y, v1.z);
	printf("v2.x = %f v2.y = %f v2.z = %f \n", v2.x, v2.y, v2.z);
	
	return 0;
}
